<div class="content-wrap">
  <igx-nav-drawer
    #drawer
    [isOpen]="opened"
    width="200px"
    [pinThreshold]="5000"
    (closing)="close()"
    (opening)="open()"
  >
    <ng-template igxDrawer>
      <nav style="min-height: 100%">
        <div
          igxLayout
          igxLayoutDir="column"
          igxLayoutJustify="space-between"
          style="min-height: 100%"
        >
          <div>
            <span
              igxDrawerItem
              class="text-align--end close-item"
              (click)="close()"
            >
              <igx-icon family="material" style="cursor: pointer"
                >close</igx-icon
              >
            </span>
            <igx-divider class="mt-5 mb-5"></igx-divider>
            <span
              class="mt-3 mb-3"
              igxDrawerItem
              [active]="rla.isActive"
              [routerLink]="[link.path]"
              routerLinkActive="active"
              #rla="routerLinkActive"
              *ngFor="let link of links"
            >
              <igx-icon family="menu" [name]="link.icon" igxRipple>{{
                link.icon
              }}</igx-icon>
              <span>{{ link.title }}</span>
            </span>
          </div>
        </div>
      </nav>
    </ng-template>
  </igx-nav-drawer>

  <header>
    <ng-content select="[header]"></ng-content>
  </header>

  <main>
    <ng-content select="[main]"></ng-content>
  </main>
</div>
